ru.bitel.bgbilling.modules.smarthouse.server.bean

## Class SmartHousePackageOptionDao

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<SmartHousePackageOption>
    - - ru.bitel.bgbilling.modules.smarthouse.server.bean.SmartHousePackageOptionDao

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class SmartHousePackageOptionDao
      extends ru.bitel.common.dao.AbstractDao<SmartHousePackageOption>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmartHousePackageOptionDao(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected SmartHousePackageOption` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.Map<java.lang.String,SmartHousePackageOption>` | `getOptionMap()`
    `java.util.List<SmartHousePackageOption>` | `list()`
    `void` | `update(SmartHousePackageOption packageOption)`
    `protected void` | `updateImpl(SmartHousePackageOption packageOption)`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SmartHousePackageOptionDao

          public SmartHousePackageOptionDao(java.sql.Connection con,
                                            int moduleId)

  - ### Method Detail

    - #### list

          public java.util.List<SmartHousePackageOption> list()
                                                       throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getOptionMap

          public java.util.Map<java.lang.String,SmartHousePackageOption> getOptionMap()
                                                                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          protected SmartHousePackageOption getFromRS(java.sql.ResultSet rs)
                                               throws java.sql.SQLException,
                                                      ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<SmartHousePackageOption>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### update

          public void update(SmartHousePackageOption packageOption)
                      throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `update` in class `ru.bitel.common.dao.AbstractDao<SmartHousePackageOption>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(SmartHousePackageOption packageOption)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<SmartHousePackageOption>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`